Subject: Re: [PATCH v3 4/4] CodingGuidelines: recommend singular they

From: "brian m. carlson" <[email-masked]>
Date: Fri, 18 Jun 2021 00:26:29 +0000

On 2021-06-17 at 13:22:21, Derrick Stolee wrote:
> On 6/16/2021 8:09 PM, Junio C Hamano wrote:
> I disagree that removing gendered pronouns and updating the
> guidelines are orthogonal. At minimum, we shouldn't have
> guidelines that we do not follow, especially when they are
> small in number and we can fix them in a few patches.
> 
> The entire point of this series was to reach a decision about
> gendered pronouns so we can stop having arguments about them
> when they come up. We should just be able to point to "here is
> the decision we made" and it's not enough to say "If you go
> look at the mailing list archive you can see that we removed
> all gendered pronouns so you shouldn't add them again."

I agree.  Part of the complaint in the previous thread was that we were
overly debating people's commit messages, which can be demoralizing to
contributors, especially new ones.  It's much better to decide on an
approach, document it, and then, if there's an issue, we can just point
people to the documentation.

And, judging by the amount of discussion around this topic, it would be
helpful to avoid rehashing the same discussion again and again.  I
certainly would prefer to not have this discussion multiple times.
-- 
brian m. carlson (he/him or they/them)
Toronto, Ontario, CA